Tekla二次开发_在模型中创建梁并选中(3) - 钢结构资源网 Tekla插件 CAD工具 犀牛GH汉化 Tekla二次开发_在模型中创建梁并选中(3) - 钢结构资源网 Tekla插件 CAD工具 犀牛GH汉化

Tekla二次开发_在模型中创建梁并选中(3)

Model myModel = new Model();

//创建梁需要给定起点,终点的坐标。这里是指定的特定坐标点,也可以提示用户输入点。

//关于如何提示用户输入点,请参考另外的博文。
            Beam B1 = new Beam(new Point(0, 0, 0), new Point(0, 0, 6000));
            Beam B2 = new Beam(new Point(0, 1000, 0), new Point(0, 1000, 6000));
            Beam B3 = new Beam(new Point(0, 2000, 0), new Point(0, 2000, 6000));
            B1.Profile.ProfileString = "HN400*200*8*13";
            B2.Profile.ProfileString = "HN400*200*8*13";
            B3.Profile.ProfileString = "HN400*200*8*13";
            B1.Insert();
            B2.Insert();
            B3.Insert();

//这里采用Arraylist集合,可以不用指定集合中项目的类型
            ArrayList objectToSelect = new ArrayList();
            objectToSelect.Add(B1);
            objectToSelect.Add(B2);
            objectToSelect.Add(B3);

//也可以采用List替代Arraylist集合

//List<Beam> objectToSelect = new List<Beam>();
            //objectToSelect.Add(B1);

//选中创建好的梁

 Tekla.Structures.Model.UI.ModelObjectSelector ms = new Tekla.Structures.Model.UI.ModelObjectSelector();
            ms.Select(objectToSelect);
            myModel.CommitChanges();//关于模型的操作,均以此结尾
————————————————

评论 0

挤眼 亲亲 咆哮 开心 想想 可怜 糗大了 委屈 哈哈 小声点 右哼哼 左哼哼 疑问 坏笑 赚钱啦 悲伤 耍酷 勾引 厉害 握手 耶 嘻嘻 害羞 鼓掌 馋嘴 抓狂 抱抱 围观 威武 给力
提交评论

清空信息
关闭评论